/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telecom;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface CallEventCallback {

public void onCallEndpointChanged(@android.annotation.NonNull android.telecom.CallEndpoint newCallEndpoint);

public void onAvailableCallEndpointsChanged(@android.annotation.NonNull java.util.List<android.telecom.CallEndpoint> availableEndpoints);

public void onMuteStateChanged(boolean isMuted);

public void onCallStreamingFailed(int reason);

public void onEvent(@android.annotation.NonNull java.lang.String event, @android.annotation.NonNull android.os.Bundle extras);
}

